# SIO BAS OUT 1200 fr 1403

# NUR FR PC-1403

# Sendet den BASIC Bereich mit 1200 baud, 8 datenbits, 1 stopbit, keine paritt, kein CTS.
# Benutzt Leitung 4 am 11-Pin-Interface
# Daten werden im internen Binrformat bertragen! Zum ffnen und Umwandeln in normales BASIC PocketASM verwenden.

ORG	63500

pin EQU 4

LII	3
LP	4
LIDP	65281
MVWD		# BASIC Start nach X laden, BASIC Ende nach Y laden
DX

replop:
LIP	94	#2 P auf F-Port
ORIM	pin	#4
OUTF		#2 Startbit senden
WAIT	181	#187
LIB	8	#4 Bitcounter B setzen
IXL		#7 [++X]->A

bl:
ANIM	255-pin	#4 [P] auf null
SR		#2 A SR
JRCP	3	#4/7 Wenn Carry voll, dann sende LOW!
ORIM	pin	#(4)
OUTF		#2 OUTF
WAIT	182	#188 Pause
DECB		#2
JRNZM	bl	#7 Wenn B noch nicht null dann nochmal (12 zurck)

ANIM	255-pin	#4
OUTF		#2 Stoppbit senden
WAIT	255	#261
WAIT	255	#261

LP	4	#2
LDM		#2
LP	6	#2
CPMA		#3
JRNZM	replop	#7

LP	5	#2
LDM		#2
LP	7	#2
CPMA		#3
JRNZM	replop	#7

RTN
