# NUR FR PC-1403(H)

# Empfngt den BASIC Bereich mit 1200 baud, 8 datenbits, 1 stopbit, keine paritt, kein CTS.
# Benutzt Leitung 9 am 11-Pin-Interface
# Daten mssen im internen Binrformat bertragen werden!

ORG	63600

Pin	EQU	128	# Pin 9 empfangen

LII	1
LP	6
LIDP	65281
MVWD		# BASIC Start nach Y laden
DY
LIDP	&3C00

nm:
inrp:
# Key input test for ENTER
# When ENTER then BASIC end address has to be written!
LDD		# Wait for on
ANIA	Pin
JRZM	inrp
LIB	0

WAIT	255	# Skip start bit
LIA	1	# A counts bits

lop:
PUSH		# Save A
LDD		# Read port
ANIA	Pin	# If low then set bit in B
POP		# Restore A
JRNZP	3
LP	3
ORMA
WAIT	183	# cyc=213-71: Wait for next bit
SL		# Shift bit counter
JRNCM	lop

EXAB
CPIA	&1A	# Endcode
JRZP	ex
IYS		# Save Byte
JRM	nm	# Endless loop

ex:
LIA	255
IYS
LIDP	65283	# Basic Ende schreiben
LP	6
LII	1
EXWD
RTN